-- Read the docs: https://www.lunarvim.org/docs/configuration
-- Example configs: https://github.com/LunarVim/starter.lvim
-- Video Tutorials: https://www.youtube.com/watch?v=sFA9kX-Ud_c&list=PLhoH5vyxr6QqGu0i7tt_XoVK9v-KvZ3m6
-- Forum: https://www.reddit.com/r/lunarvim/
-- Discord: https://discord.com/invite/Xb9B4Ny

lvim.colorscheme = "melange"
lvim.builtin.breadcrumbs.active = false

lvim.lsp.automatic_servers_installation = false
lvim.lsp.automatic_configuration.skipped_servers = { "rust_analyzer", "rust-analyzer", "typst_lsp", "typst-lsp" }
require"lspconfig".tinymist.setup{
  exportPdf = "onType",
  outputPath = "$root/target/$dir/$name",
}

require "plugins.init"
require "mappings"
require "configs.autocommand"
require "configs.nvimtree"
require "configs.bufferline"
require "configs.dropbar"
require "configs.dap"
require "configs.acmp"
require "configs.colorizer"
require "configs.autotag"
require "configs.prettier"
require "configs.nvimufo"

vim.lsp.inlay_hint.enable(true)
